import { TimeConversion, } from '@cucumber/messages';
export function durationToSeconds(duration) {
    if (!duration) {
        return 0;
    }
    return TimeConversion.durationToMilliseconds(duration) / 1000;
}
export function countStatuses(statuses, predicate = () => true) {
    return Object.entries(statuses)
        .filter(([status]) => predicate(status))
        .reduce((prev, [, curr]) => prev + curr, 0);
}
export function formatStep(step, pickleStep, status) {
    let text = `${step.keyword.trim()} ${pickleStep.text.trim()}.`;
    do {
        text += '.';
    } while (text.length < 76);
    return text + status.toLowerCase();
}
//# sourceMappingURL=helpers.js.map